Bug 51832 - EDITING: CRASH in special case when 'Edit > Changes > Accept or reject > Reject'
Summary: EDITING: CRASH in special case when 'Edit > Changes > Accept or reject > Rej...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: high critical
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:3.7.0 target:3.6.1
Keywords: regression
Depends on:
Blocks: mab3.6
  Show dependency treegraph
 
Reported: 2012-07-07 08:15 UTC by Cor Nouws
Modified: 2012-08-21 10:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
JRE error log (86.58 KB, text/x-log)
2012-07-07 08:17 UTC, Cor Nouws
Details
bt + console msgs on master (11.50 KB, text/plain)
2012-08-07 11:49 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2012-07-07 08:15:10 UTC
Writer document
Type some text
Start Edit > Changes > Record
Make changes on various places (at least four)
Go to the top of the document
Start Edit > Changes > Accept or reject
Now select the third change in the list with the mouse
Click Accept
  > Crash
It does not crash when you chose Accept without selecting another item in the list
Comment 1 Cor Nouws 2012-07-07 08:17:42 UTC
Created attachment 63940 [details]
JRE error log

AH :-)
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00000029, pid=3220, tid=3018512448
#
# JRE version: 6.0_26-b03
# Java VM: Java HotSpot(TM) Client VM (20.1-b02 mixed mode, sharing linux-x86 )
# Problematic frame:
# C  0x00000029
[error occurred during error reporting (printing problematic frame), id 0xb]

# An error report file with more information is saved as:
# /home/cono/hs_err_pid3220.log
#
# If you would like to submit a bug report, please visit:
#   http://java.sun.com/webapps/bugreport/crash.jsp
#

[error occurred during error reporting , id 0xb]

error log attached
Comment 2 Cor Nouws 2012-07-07 08:20:01 UTC
Is OK in 3.5.x
Comment 3 Rainer Bielefeld Retired 2012-07-27 05:16:23 UTC
[Reproducible] with Server Installation of  "LibreOffice 3.6.0.2 rc  German UI/Locale [Build-ID:  815c576] on German WIN7 Home Premium (64bit):

I created a document with 3 Lorem Ipsum Paragraphs, activated 'Reord Changes', deleted a word, inserted a word 3 lines later, deleted a word 3 lines later, inserted a word 3 lines later, rejected third change, CRASH.

Still [Reproducible] with parallel installation of Master "LOdev " 3.7.0.0.alpha0+   - WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 66e4540]" (tinderbox:Win-x86@6, pull time 2012-07-26 02:09:47)

@Michael:
One for you?
Comment 4 Rainer Bielefeld Retired 2012-07-27 05:29:35 UTC
Already [Reproducible] with Server installation of Master "LOdev 3.6.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: a502549]" (tinderbox: Win-x86@6-fast, pull time 2012-05-31 07:33:55). 

I am a little worried, 'Record Changes' also will work with disabled Java, also crash will happen.

Still worked fine with
Server installation of  Master "LOdev 3.6.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 475d0c5-829fc92-39746e8-206648e-fefd87]" (2012-02-14)
Comment 5 Julien Nabet 2012-08-07 11:49:34 UTC
Created attachment 65226 [details]
bt + console msgs on master

On pc Debian x86-64 with master sources updated today, I reproduced the pb.

I attached bt + console logs.
Comment 6 Michael Stahl (CIB) 2012-08-07 19:06:17 UTC
regression from STL conversion, fixed on master, thanks for the stack trace Julien.
Comment 7 Not Assigned 2012-08-07 19:08:49 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8a66a7789698b12f2c07169e0106413de2f39fb8

fdo#51832: SwRedlineAcceptDlg: fix STL conversion:
Comment 8 Not Assigned 2012-08-10 11:30:23 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9f89b3dc6301f85ffbb55b526eb2d0f69512e51a&g=libreoffice-3-6

fdo#51832: SwRedlineAcceptDlg: fix STL conversion:


It will be available in LibreOffice 3.6.1.